const УКАЗАЕТЕЛЬ_МОДУЛЯ_РЕСУРСОВ = "https://git.opengamestudio.org/mahjong/mahjong-res/raw/commit/5430b4d62bcc3d60f1e570485ee5cd562b70582d/0000";
const УКАЗАТЕЛЬ_ОТЛ_РАСКЛАДКИ = "https://git.opengamestudio.org/mahjong/mahjong-otl-raskladki-dbg-layouts/raw/commit/2951feab28448266d3446974e781d320ebbed8df/0000";

// // // //


УведомитьОЗагрузкеРесурсовСцены = мир =>
{
    мир.уведомить("загрузили ресурсы сцены");
};


// // // //


ЗадатьОтладочнуюТемуФишекДляЗагрузки = мир =>
{
    мир.темаФишек = "отладочная|debug";
};


// // // //


ЗагрузитьВыбраннуюРаскладку = мир =>
{
    var указательМодуля = УКАЗАТЕЛЬ_МОДУЛЯ_РЕСУРСОВ;
    var ресурс = "/X_shaped.layout";
    if (мир.выбраннаяРаскладка == "😀")
    {
        ресурс = "/успех|success.layout";
        указательМодуля = УКАЗАТЕЛЬ_ОТЛ_РАСКЛАДКИ;
    }
    else if (мир.выбраннаяРаскладка == "😭")
    {
        ресурс = "/провал|failure.layout";
        указательМодуля = УКАЗАТЕЛЬ_ОТЛ_РАСКЛАДКИ;
    }
    var модуль = мир.модули.модульПоУказателю(указательМодуля);
    var содержимое = модуль.содержимое[ресурс];
    мир.раскладкаKMahjongg = {
        "содержимое": содержимое,
    };
};


// // // //


ЗагрузитьФишку = мир =>
{
    var модуль = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_МОДУЛЯ_РЕСУРСОВ);
    var ресурс = "/фишка.gltf";
    var адрес = `${window.location.origin}${ресурс}`;
    THREE.Cache.enabled = true;
    THREE.Cache.add(адрес, модуль.содержимое[ресурс]);
    мир.загрузчикGLTF.load(
        адрес,
        function(gltf) {
            // Вычленяем Mesh.
            gltf.scene.traverse(function(ребёнок) {
                if (ребёнок.isMesh)
                {
                    мир.фишка = ребёнок;
                }
            });
            мир.уведомить("загрузили фишку");
        },
        null,
        function(error) {
            console.error("ОШИБКА | ERROR", error);
        }
    );
};

